org.modeshape.sequencer.ddl.dialect.mysql

## Class MySqlDdlLexicon

- java.lang.Object
- - org.modeshape.sequencer.ddl.StandardDdlLexicon
  - - org.modeshape.sequencer.ddl.dialect.mysql.MySqlDdlLexicon

-     public class MySqlDdlLexicon
      extends StandardDdlLexicon

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MySqlDdlLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_ALTER_ALGORITHM_STATEMENT`
    `static String` | `TYPE_ALTER_DATABASE_STATEMENT`
    `static String` | `TYPE_ALTER_DEFINER_STATEMENT`
    `static String` | `TYPE_ALTER_EVENT_STATEMENT`
    `static String` | `TYPE_ALTER_FUNCTION_STATEMENT`
    `static String` | `TYPE_ALTER_LOGFILE_GROUP_STATEMENT`
    `static String` | `TYPE_ALTER_PROCEDURE_STATEMENT`
    `static String` | `TYPE_ALTER_SCHEMA_STATEMENT`
    `static String` | `TYPE_ALTER_SERVER_STATEMENT`
    `static String` | `TYPE_ALTER_TABLESPACE_STATEMENT`
    `static String` | `TYPE_ALTER_VIEW_STATEMENT`
    `static String` | `TYPE_CREATE_DEFINER_STATEMENT`
    `static String` | `TYPE_CREATE_EVENT_STATEMENT`
    `static String` | `TYPE_CREATE_FUNCTION_STATEMENT`
    `static String` | `TYPE_CREATE_INDEX_STATEMENT`
    `static String` | `TYPE_CREATE_PROCEDURE_STATEMENT`
    `static String` | `TYPE_CREATE_SERVER_STATEMENT`
    `static String` | `TYPE_CREATE_TABLESPACE_STATEMENT`
    `static String` | `TYPE_CREATE_TRIGGER_STATEMENT`
    `static String` | `TYPE_DROP_DATABASE_STATEMENT`
    `static String` | `TYPE_DROP_EVENT_STATEMENT`
    `static String` | `TYPE_DROP_FUNCTION_STATEMENT`
    `static String` | `TYPE_DROP_INDEX_STATEMENT`
    `static String` | `TYPE_DROP_LOGFILE_GROUP_STATEMENT`
    `static String` | `TYPE_DROP_PROCEDURE_STATEMENT`
    `static String` | `TYPE_DROP_SERVER_STATEMENT`
    `static String` | `TYPE_DROP_TABLESPACE_STATEMENT`
    `static String` | `TYPE_DROP_TRIGGER_STATEMENT`
    `static String` | `TYPE_RENAME_DATABASE_STATEMENT`
    `static String` | `TYPE_RENAME_SCHEMA_STATEMENT`
    `static String` | `TYPE_RENAME_TABLE_STATEMENT`

    - ### Fields inherited from class org.modeshape.sequencer.ddl.StandardDdlLexicon

      `ALL_PRIVILEGES, CHECK_SEARCH_CONDITION, COLLATION_CHARACTER_SET_NAME, COLLATION_NAME, COLLATION_SOURCE, COLUMN_ATTRIBUTE, CONSTRAINT_TYPE, CREATE_VIEW_OPTION_CLAUSE, CREATE_VIEW_QUERY_EXPRESSION, DATATYPE_LENGTH, DATATYPE_NAME, DATATYPE_PRECISION, DATATYPE_SCALE, DDL_EXPRESSION, DDL_LENGTH, DDL_ORIGINAL_EXPRESSION, DDL_PROBLEM, DDL_START_CHAR_INDEX, DDL_START_COLUMN_NUMBER, DDL_START_LINE_NUMBER, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_USER, DEFAULT_OPTION, DEFAULT_PRECISION, DEFAULT_VALUE, DEFERRABLE, DROP_BEHAVIOR, DROP_OPTION, EXISTING_NAME, GRANT_PRIVILEGE, GRANTEE, MESSAGE, NEW_NAME, NULLABLE, ON_COMMIT_VALUE, OPTION, PAD_ATTRIBUTE, PAD_ATTRIBUTE_NO_PAD, PAD_ATTRIBUTE_PAD, PARSER_ID, PROBLEM_LEVEL, PROPERTY_VALUE, SOURCE_CHARACTER_SET_NAME, SQL, STATEMENTS_CONTAINER, TARGET_CHARACTER_SET_NAME, TEMPORARY, TYPE, TYPE_ADD_COLUMN_DEFINITION, TYPE_ADD_TABLE_CONSTRAINT_DEFINITION, TYPE_ALTER_COLUMN_DEFINITION, TYPE_ALTER_DOMAIN_STATEMENT, TYPE_ALTER_TABLE_STATEMENT, TYPE_ALTERABLE, TYPE_ASSERTION_OPERAND, TYPE_CHARACTER_SET_OPERAND, TYPE_CLAUSE, TYPE_COLLATION_OPERAND, TYPE_COLUMN_DEFINITION, TYPE_COLUMN_OPERAND, TYPE_COLUMN_REFERENCE, TYPE_CONSTRAINT_ATTRIBUTE, TYPE_CREATE_ASSERTION_STATEMENT, TYPE_CREATE_CHARACTER_SET_STATEMENT, TYPE_CREATE_COLLATION_STATEMENT, TYPE_CREATE_DOMAIN_STATEMENT, TYPE_CREATE_SCHEMA_STATEMENT, TYPE_CREATE_TABLE_STATEMENT, TYPE_CREATE_TRANSLATION_STATEMENT, TYPE_CREATE_VIEW_STATEMENT, TYPE_CREATEABLE, TYPE_DOMAIN_CONSTRAINT, TYPE_DOMAIN_OPERAND, TYPE_DROP_ASSERTION_STATEMENT, TYPE_DROP_CHARACTER_SET_STATEMENT, TYPE_DROP_COLLATION_STATEMENT, TYPE_DROP_COLUMN_DEFINITION, TYPE_DROP_DOMAIN_STATEMENT, TYPE_DROP_OPTION, TYPE_DROP_SCHEMA_STATEMENT, TYPE_DROP_TABLE_CONSTRAINT_DEFINITION, TYPE_DROP_TABLE_STATEMENT, TYPE_DROP_TRANSLATION_STATEMENT, TYPE_DROP_VIEW_STATEMENT, TYPE_DROPPABLE, TYPE_FK_COLUMN_REFERENCE, TYPE_GRANT_ON_CHARACTER_SET_STATEMENT, TYPE_GRANT_ON_COLLATION_STATEMENT, TYPE_GRANT_ON_DOMAIN_STATEMENT, TYPE_GRANT_ON_TABLE_STATEMENT, TYPE_GRANT_ON_TRANSLATION_STATEMENT, TYPE_GRANT_STATEMENT, TYPE_GRANTABLE, TYPE_INSERT_STATEMENT, TYPE_INSERTABLE, TYPE_MISSING_TERMINATOR, TYPE_OPERAND, TYPE_OPERATION, TYPE_PROBLEM, TYPE_REFERENCE_OPERAND, TYPE_REVOKABLE, TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT, TYPE_REVOKE_ON_COLLATION_STATEMENT, TYPE_REVOKE_ON_DOMAIN_STATEMENT, TYPE_REVOKE_ON_TABLE_STATEMENT, TYPE_REVOKE_ON_TRANSLATION_STATEMENT, TYPE_REVOKE_STATEMENT, TYPE_SCHEMA_OPERAND, TYPE_SET_STATEMENT, TYPE_SETTABLE, TYPE_SIMPLE_PROPERTY, TYPE_STATEMENT, TYPE_STATEMENT_OPTION, TYPE_TABLE_CONSTRAINT, TYPE_TABLE_CONSTRAINT_OPERAND, TYPE_TABLE_OPERAND, TYPE_TABLE_REFERENCE, TYPE_TRANSLATION_OPERAND, TYPE_UNKNOWN_STATEMENT, TYPE_VIEW_OPERAND, VALUE, WITH_GRANT_OPTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySqlDdlLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_CREATE_DEFINER_STATEMENT

          public static final String TYPE_CREATE_DEFINER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_EVENT_STATEMENT

          public static final String TYPE_CREATE_EVENT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_FUNCTION_STATEMENT

          public static final String TYPE_CREATE_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_INDEX_STATEMENT

          public static final String TYPE_CREATE_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_PROCEDURE_STATEMENT

          public static final String TYPE_CREATE_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_SERVER_STATEMENT

          public static final String TYPE_CREATE_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TABLESPACE_STATEMENT

          public static final String TYPE_CREATE_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_TRIGGER_STATEMENT

          public static final String TYPE_CREATE_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_DATABASE_STATEMENT

          public static final String TYPE_DROP_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_EVENT_STATEMENT

          public static final String TYPE_DROP_EVENT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_FUNCTION_STATEMENT

          public static final String TYPE_DROP_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_INDEX_STATEMENT

          public static final String TYPE_DROP_INDEX_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_LOGFILE_GROUP_STATEMENT

          public static final String TYPE_DROP_LOGFILE_GROUP_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_PROCEDURE_STATEMENT

          public static final String TYPE_DROP_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_SERVER_STATEMENT

          public static final String TYPE_DROP_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TABLESPACE_STATEMENT

          public static final String TYPE_DROP_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_DROP_TRIGGER_STATEMENT

          public static final String TYPE_DROP_TRIGGER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_ALGORITHM_STATEMENT

          public static final String TYPE_ALTER_ALGORITHM_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_DATABASE_STATEMENT

          public static final String TYPE_ALTER_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_DEFINER_STATEMENT

          public static final String TYPE_ALTER_DEFINER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_EVENT_STATEMENT

          public static final String TYPE_ALTER_EVENT_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_FUNCTION_STATEMENT

          public static final String TYPE_ALTER_FUNCTION_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_LOGFILE_GROUP_STATEMENT

          public static final String TYPE_ALTER_LOGFILE_GROUP_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_PROCEDURE_STATEMENT

          public static final String TYPE_ALTER_PROCEDURE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_SERVER_STATEMENT

          public static final String TYPE_ALTER_SERVER_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_SCHEMA_STATEMENT

          public static final String TYPE_ALTER_SCHEMA_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_TABLESPACE_STATEMENT

          public static final String TYPE_ALTER_TABLESPACE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALTER_VIEW_STATEMENT

          public static final String TYPE_ALTER_VIEW_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RENAME_DATABASE_STATEMENT

          public static final String TYPE_RENAME_DATABASE_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RENAME_SCHEMA_STATEMENT

          public static final String TYPE_RENAME_SCHEMA_STATEMENT

      See Also:
        Constant Field Values

    - #### TYPE_RENAME_TABLE_STATEMENT

          public static final String TYPE_RENAME_TABLE_STATEMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MySqlDdlLexicon

          public MySqlDdlLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.